Skip to content

Unsubscribe from newsletter or push channel

POST
/cms/channel/{channel_id}/unsubscribe
curl --request POST \
--url https://api.example.com/cms/channel/1/unsubscribe \
--header 'API-Key: <API-Key>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Token: <Token>' \
--data '{ "pushSignature": "example", "email": "example" }'

Unsubscribe an email from a given newsletter or push channel. For email channels, you must be authenticated. For push channels, you can either be authenticated to unsubscribe all the devices of the user, or you can be anonymous and provide a push token to unsubscribe a specific device.

channel_id
required
integer
Media typeapplication/json
object
pushSignature

Push token to unsubscribe (required if called anonymously for push channels)

string
nullable
email

Email address to unsubscribe. Only allowed when both authenticated as an admin API client and not authenticated as a user.

string
nullable

Example generated

{
"pushSignature": "example",
"email": "example"
}

Unsubscription result

Media typeapplication/json
object
error
boolean

Example generated

{
"error": true
}

Bad Request, e.g. missing token when called anonymously

Forbidden